be.fgov.ehealth.rn.baselegaldata.v1

## Class NobilityTitleBaseType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.NobilityTitleBaseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:06:12+02:00",
                 comments="JAXB RI v2.3.7")
      public class NobilityTitleBaseType
      extends Object
      implements Serializable

  Type describing the nobility title of a person.

  Java class for NobilityTitleBaseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NobilityTitleBaseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="NobilityTitleCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NobilityTitleCodeType" minOccurs="0"/>
               <element name="NobilityTitleDescription" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NobilityTitleBaseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
    `String` | `getNobilityTitleCode()` Gets the value of the nobilityTitleCode property.
    `List<LocalizedDescriptionType>` | `getNobilityTitleDescriptions()` Gets the value of the nobilityTitleDescriptions property.
    `void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
    `void` | `setNobilityTitleCode(String value)` Sets the value of the nobilityTitleCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NobilityTitleBaseType

          public NobilityTitleBaseType()

  - ### Method Detail

    - #### getNobilityTitleCode

          public String getNobilityTitleCode()

      Gets the value of the nobilityTitleCode property.
      Returns:
        possible object is `String`

    - #### setNobilityTitleCode

          public void setNobilityTitleCode(String value)

      Sets the value of the nobilityTitleCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNobilityTitleDescriptions

          public List<LocalizedDescriptionType> getNobilityTitleDescriptions()

      Gets the value of the nobilityTitleDescriptions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nobilityTitleDescriptions property.

      For example, to add a new item, do as follows:

              getNobilityTitleDescriptions().add(newItem);

      Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    - #### getInceptionDate

          public org.joda.time.DateTime getInceptionDate()

      Gets the value of the inceptionDate property.
      Returns:
        possible object is `String`

    - #### setInceptionDate

          public void setInceptionDate(org.joda.time.DateTime value)

      Sets the value of the inceptionDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.